#include "mainwindow.h"
#include "./ui_mainwindow.h"
#include <QQuickWidget>
#include <QVBoxLayout>
#include <QQuickView>

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
    , ui(new Ui::MainWindow)
{
    ui->setupUi(this);


    QQuickWidget *quickWidget = new QQuickWidget;
    quickWidget->setSource(QUrl::fromLocalFile(":/main.qml"));
    quickWidget->setGeometry(ui->centralwidget->geometry());
    quickWidget->setResizeMode(QQuickWidget::SizeRootObjectToView);
    QVBoxLayout *layout = new QVBoxLayout;
    layout->addWidget(quickWidget);
    ui->centralwidget->setLayout(layout);
}

MainWindow::~MainWindow()
{
    delete ui;
}
